﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ContextMenu.ViewModels
{
    public class MyData : ViewModelBase
    {
        private int open;
        private int close;
        private string label;

        public string Label
        {
            get { return label; }
            set
            {
                label = value;
                OnPropertyChanged("Label");
            }
        }

        public int Open
        {
            get { return open; }
            set
            {
                open = value;
                OnPropertyChanged("Open");
            }
        }

        public int Close
        {
            get { return close; }
            set
            {
                close = value;
                OnPropertyChanged("Close");
            }
        }



        public static ObservableCollection<MyData> GetData(int points, int rangeStart, int rangeEnd)
        {
            ObservableCollection<MyData> data = new ObservableCollection<MyData>();
            Random r = new Random();
            for (int i = 0; i < points; i++)
            {
                data.Add(new MyData
                {

                    Label = "Item " + i,
                    Open = r.Next(rangeStart, rangeEnd),
                    Close = r.Next(rangeStart, rangeEnd),

                });
            }

            return data;
        }
    }
}
